import { Logger } from '../utils/logger.js';
import { Tool } from './types.js';
export interface ToolAgentResult {
    result: string;
    tokens: {
        input: number;
        output: number;
    };
    interactions: number;
}
export declare const toolAgent: (initialPrompt: string, tools: Tool[], logger: Logger, config?: {
    maxIterations: number;
    model: string;
    maxTokens: number;
    temperature: number;
    getSystemPrompt: () => string;
}, workingDirectory?: string) => Promise<ToolAgentResult>;
//# sourceMappingURL=toolAgent.d.ts.map